#!/bin/sh

module="ad_tlc549"
device="ad_tlc549_"
mode="444"


/sbin/insmod -f ${module}.ko $* || exit 1

rm -f /dev/${device}[1-6]

major=`cat /proc/devices | awk "\\$2==\"$module\" {print \\$1}"`

mknod /dev/${device}1 c $major 1
mknod /dev/${device}2 c $major 2
mknod /dev/${device}3 c $major 3
mknod /dev/${device}4 c $major 4
mknod /dev/${device}5 c $major 5
mknod /dev/${device}6 c $major 6

chmod $mode /dev/${device}?







